#pragma once
#include "wxGWindow.h" 

#define WIN_BY_SCORE 0
#define WIN_BY_KO 1

class GUI_App: public wxApp
{
public:
	GUI_App() : do_select_match(0), selection_done(0), selectStatus(0), availPlayers(0), numPlayers(0), 
				numRounds(0), roundLength(0), P1Index(-1), P2Index(-1) {}
    bool OnInit();
	int OnExit();
	bool ProcessIdle();

	wxGWindow* gwindow;
	
	bool do_select_match, selection_done;
	int selectStatus;
	wxString* availPlayers;
	int numPlayers;
	int numRounds;
	int roundLength;
	int win_type;
	int P1Index, P2Index;
};